<template>
  <li>
    <base-dialog v-if="deleteCheck" title="Confirm to delete">
      <template #default>
        <p>Are You sure you want to delete this resorce?</p>
        <p>Please think twice before continuing.</p>
      </template>
      <template #actions>
        <button @click="removeResource(id)">yes</button>
        <button @click="checkDelete">no</button>
      </template>
    </base-dialog>
    <edit-resource
      v-if="editCheck"
      :key="id"
      :id="id"
      :title="title"
      :description="description"
      :link="link"
      @cancel="checkEdit"
    >
    </edit-resource>
    <base-card>
      <header>
        <h3>{{ title }}</h3>
        <button
          class="flat"
          @click="checkEdit(), dupa(id, title, description, link)"
        >
          Edit
        </button>
        <button class="" @click="checkDelete">Delete</button>
      </header>
      <p>{{ description }}</p>
      <nav v-show="link">
        <a target="_blank" rel="noopener noreferrer" :href="link">go to link</a>
      </nav>
    </base-card>
  </li>
</template>

<script>
import EditResource from "./EditResource.vue";

export default {
  components: { EditResource },
  data() {
    return {
      deleteCheck: false,
      editCheck: false,
    };
  },
  props: ["id", "title", "description", "link"],
  inject: ["removeResource"],
  methods: {
    dupa(id, title, description, link) {
      console.log("dupa, a czego się spodziewałeś?");
      console.log("id: ", id);
      console.log("title: ", title);
      console.log("description: ", description);
      console.log("link: ", link);
    },
    checkDelete() {
      this.deleteCheck = !this.deleteCheck;
    },
    checkEdit() {
      this.editCheck = !this.editCheck;
    },
  },
};
</script>

<style scoped>
li {
  margin: auto;
  max-width: 40rem;
}

header {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
header h3 {
  margin-right: auto;
}

h3 {
  font-size: 1.25rem;
  margin: 0.5rem 0;
}

p {
  margin: 0.5rem 0;
}

a {
  text-decoration: none;
  color: #ce5c00;
}

a:hover,
a:active {
  color: #c89300;
}
button {
  padding: 0.75rem 1.5rem;
  font-family: inherit;
  background-color: #3a0061;
  border: 1px solid #3a0061;
  color: white;
  cursor: pointer;
  margin-right: 10px;
  transition: 0.2s;
}
button:hover,
button:active {
  background-color: #270041;
  border-color: #270041;
}

.flat {
  background-color: transparent;
  color: #3a0061;
  border: none;
}

.flat:hover,
.flat:active {
  background-color: #edd2ff;
}
</style>
